Subject: Re: essential oil source?

From: [email-masked] (HealingPgs)
Date: 23 Mar 1995 14:53:00 -0500

Try Samara Botane in Seattle, WA.  They only do mail order, are very fussy
about the quality of their oils (I sell aromatherapy books to the owner &
I've been really impressed by her knowledge). They have a toll-free number
1-800-782-4532.

Rosemary, Healing Pages Bookstore, Seattle, WA

PS We have a free newsletter listing the latest aromatherapy/natural
medicine books in stock. If you'd like a copy, send your mailing (postal,
not e-mail) to [email-masked]